Page MenuHomeFreeBSD

add {games,japanese}/narcissu2 ports
Changes PlannedPublic

Authored by jbeich on Feb 9 2015, 2:32 AM.

Details

Reviewers
bapt
flo
Group Reviewers
games
Summary

Add new port: games/narcissu2 and japanese/narcissu2

PR: 195800
PR: 197229
nReviewed by: sasamotikomi@gmail.com (old version, partially)
nReviewed by: games (amdmi3 ?)
Approved by: ??? (mentor)

The anonymous protagonist is diagnosed with a terminal illness shortly
after his twentieth birthday, and is admitted to a hospital in Mito,
Ibaraki. There he meets Setsumi, a woman a few years older, who is
also terminally ill. Finding that they both reject to die either in
hospital or at home, they steal a car and run away together. -- VNDB

WWW: http://stage-nana.sakura.ne.jp/narcissu.htm
WWW: http://www.neechin.net/narcissu/

Language {pre,su}fix aren't consistent between versions.
devel/onscripter doesn't support --save option, so the Japanese version uses a shell wrapper to make a room for saves. Since engines are different the saves aren't interchangeable.
$ pkg info -xs narcissu
ja-narcissu2-1                 316MiB
narcissu2-en-1.1               326MiB
Test Plan

Runtime tested within 10.1R i386 poudriere jail. Play a bit then Save, Load.
Try installing any japanese/font-* if it doesn't start.

poudriere testport logs:
narcissu2-en-1.1.log
ja-narcissu2-1.log

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

jbeich retitled this revision from to add {games,japanese}/narcissu2 ports.
jbeich updated this object.
jbeich edited the test plan for this revision. (Show Details)
jbeich added reviewers: games, bapt, flo.

Forgot to svn add the wrapper.

bapt edited edge metadata.
This revision is now accepted and ready to land.Feb 10 2015, 8:13 PM
jbeich edited edge metadata.

Sync with my style in bug 189829:

  • drop %%PORTNAME%% from SUB_LIST by using basename(3)-like syntax
  • rename the wrapper to better reflect it's for any ONScripter game port
This revision now requires review to proceed.Feb 12 2015, 2:11 PM
bapt edited edge metadata.
This revision is now accepted and ready to land.Feb 12 2015, 2:13 PM
jbeich added a subscriber: AMDmi3.

I forgot to ask @AMDmi3 explicitly since he assigned bug 195800 to himself. Maybe phabric didn't like me joining games.

AMDmi3 requested changes to this revision.Feb 12 2015, 9:46 PM
AMDmi3 edited edge metadata.
AMDmi3 added inline comments.
games/narcissu2/Makefile
58

Just curious, what's -p needed for?

61

You may drop this condition and .include <bsd.port.options.mk>, option files are automatically handled by PORTDOCS=*. Conditional installation is only meaningful if installation takes noticeable amount of time.

japanese/narcissu2/Makefile
50

You shouldn't depend on user environment. This won't work as intended in many cases, e.g. even if user has LANG set, it may not be propagated to su/sudo session; if it is propagated, builds will be inconsistent for example when port is built by different users with different locales. Also, LANG will never be set for packages.

If this is needed for correct built, set it unconditionally (and better set LC_ALL, so even if LANG/LC_* are set, they'll always be overridden). If locale affects something useful, you may add an option instead.

This revision now requires changes to proceed.Feb 12 2015, 9:46 PM
games/narcissu2/Makefile
58

To keep modification time of the files under DATADIR consistent. It also helps if the user wants to know last time the translation was updated.

japanese/narcissu2/Makefile
50

post-extract happens outside SU_CMD even in NO_STAGE times.

Guest illustrations with filenames in SJIS are just fan art not used during the game. English version doesn't have them.

As removing or not installing the files is going to require the same amount of care I won't bother unless there's a better way than:

# -*- encoding: sjis -*-
...
post-extract:
	@${RM} -rf ${WRKSRC}/�Q�X�g��

or

post-extract:
	@${RM} -rf ${WRKSRC}/$$(${ECHO_CMD} ゲスト壁 | \
		${ICONV_CMD} -f UTF-8 -t SJIS-MS)
jbeich edited edge metadata.
  • games/narcissu2: drop DOCS conditional along with bsd.port.options.mk
  • japanese/narcissu2: drop convmv(1) idea entirely
  • japanese/narcissu2: describe the wrapper briefly for posterity

ja-narcissu2-1.log
narcissu2-en-1.1.log

games/narcissu look good. About japanese version I'm not sure - in previous message I've only meant that it should not depend on user's environment, e.g. set locale unconditionally. Now it has broken UTF in filenames which may lead to all sorts of problems.

games/narcissu2/Makefile
3

Not sure if -en suffix is needed - english is assumed by default. If you think it's needed, it's better to use PKGNAMESUFFIX=-en instead.

games/narcissu2 landed as rP396196.
japanese/narcissu2 still needs to address filename encoding issue (stalled).

AMDmi3 removed a reviewer: AMDmi3.
AMDmi3 removed a subscriber: AMDmi3.